Results 1 to 3 of 3

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: iPhone Noob - Downgrade From 2.0.1 To 1.1.3?

  1. #1
    Default iPhone Noob - Downgrade From 2.0.1 To 1.1.3?
    i apologize if this topic has already been discussed a million times (which i'm sure it has), but i searched for "downgrade" and got no results.

    new to the forum and completely new to the iphone. i just got my 3G yesterday along with a Turbo Next TurboSIM. i plan on using it with my current T-Mobile account (US). on the receipt for the TurboSIM that i got on eBay it says that it's to "unlock iPhone 1.1.2 OTB 1.1.3", however i've already QuickPwn'd it using 2.0.1 ipsw yesterday. i tried the method of using iTunes 7.5 to downgrade but iTunes keeps saying "The iPhone cannot be used because it requires version7.7 or later".
    so is it even possible to downgrade to this earlier firmware version?
    do the 3G's even use this this earlier version?
    should i just buy a new TurboSIM that is compatible with 2.0.1?
    thanks.
    Last edited by razor99x; 09-24-2008 at 08:52 AM.

  2. #2
    3G iphones only work with 2.X firmwares. You can't downgrade. Turbo sim work but seem to have many issues. Be careful not to break the sim card slot.

  3. #3
    thanks for the info. i've tried with and without using tape on the sim to hold it in the tray, but the phone says Invalid Sim, so i'm assuming i just need a different TurboSIM?

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •